Subject: [Sip] Compressing subsequent REGISTER requests

From: [email-masked]
Date: Wed, 27 Aug 2003 18:03:01 +0300

Hi,

RFC3486 says:

"a user agent server SHOULD add comp=sigcomp to the
   Contact header field of the response if the URI of the next upstream
   hop in the route set contained the parameter comp=sigcomp"

I assume this is for dialog creating responses. What about REGISTER?

If I send the very first REGISTER request uncompressed since I didn't know if it supports sigcomp. I can never learn through a similar mechanism as defined above if any subsequent REGISTER request should be compressed or not.

One solution is for the registrar to record-route (yuk). The other is to rely on the response being compressed as a hint, but I don't think this is good enough since the registrar did not get the chance to indicate its willingness to receive compressed requests.

We could also say that if an initial REGISTER is not compressed, then any subsequent REGISTER cannot be compressed.

Thanks,
Hisham

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip